Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.common.util
Class Version

    java.lang.Object
      org.jboss.portal.common.util.Version

    public class Version

extends java.lang.Object

Version class conforming to JBoss Product Version Conventions post 2006-03-01. See http://wiki.jboss.org/wiki/Wiki.jsp?page=JBossProductVersioning.

Version:
  $Revision: 7165 $
Author:
  Julien Viet

Nested Class Summary
`static interface` | `Version.Format`
`static class` | `Version.Qualifier` Type safe enum for intermediate major.

Constructor Summary
`Version(java.lang.String name, int major, int minor, int patch, Version.Qualifier qualifier, java.lang.String codeName)`

Method Summary
`java.lang.String` | `getCodeName()`
`int` | `getMajor()` Return the major.
`int` | `getMinor()` Return the minor.
`java.lang.String` | `getName()` Return the name;
`int` | `getPatch()` Return the patch.
`Version.Qualifier` | `getQualifier()` Return the intermediate major.
`java.lang.String` | `toString()`
`java.lang.String` | `toString(Version.Format format)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Version

    public Version(java.lang.String name,
                   int major,
                   int minor,
                   int patch,
                   Version.Qualifier qualifier,
                   java.lang.String codeName)

Method Detail

### getCodeName

    public java.lang.String getCodeName()

### getName

    public java.lang.String getName()

  Return the name;

### getMajor

    public int getMajor()

  Return the major.

### getMinor

    public int getMinor()

  Return the minor.

### getPatch

    public int getPatch()

  Return the patch.

### getQualifier

    public Version.Qualifier getQualifier()

  Return the intermediate major.

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### toString

    public java.lang.String toString(Version.Format format)
                              throws java.lang.IllegalArgumentException

  Throws:
    `java.lang.IllegalArgumentException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.